/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */



/* global */
p:last-child {
    margin-bottom:0 !important;
}

.elementor-widget-text-editor ul,
.elementor-widget-text-editor ol {
    margin-block-end: .9rem;
}

.grecaptcha-badge,
.otgs-development-site-front-end {
    display: none !important;
}

.elementor-field-option {
    font-size: 14px;
    display: flex;
    gap:10px;
    align-items: flex-start;
}

.elementor-field-option input[type="radio"] {
    border-radius: 50%;
}

.elementor-field-option input {
    margin-top:3px;
    background-color: transparent !important;
    appearance: none;
    width: 14px;
    height: 14px;
    padding: 0 !important;
    border: 1px solid var(--e-global-color-primary) !important;
    flex-shrink: 0;
}

.elementor-field-option input:checked {
    background-color: var(--e-global-color-primary) !important;
}

.elementor-field-option label {
    line-height: 1.2;
}

.elementor-field-type-acceptance a {
    color: inherit;
    text-decoration: underline;
}

.elementor-field-type-acceptance a:hover {
    text-decoration: none;
}

.form-contact .elementor-field-type-acceptance .elementor-field-option {
    justify-content: center;
}

.elementor-field-subgroup {
    gap:16px;
}


.elementor-select-wrapper .select-caret-down-wrapper {
    background-image:url('assets/img/icon-arrow-down.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    width: 20px;
    height: 100%;
    right: 20px;
}

.elementor-select-wrapper .select-caret-down-wrapper svg {
    display: none;
}

.elementor-select-wrapper select {
    padding-right: 50px !important;
}

.hide {
    display: none !important;
}



/* content edge right */

@media (min-width:1024px) {
    .content-edge-right {
        padding-left:calc(calc((100vw - var(--container-max-width))/2) - 20px);
    }

    .content-edge-left {
        padding-right:calc(calc((100vw - var(--container-max-width))/2) - 20px);
    }
}





/* cms */
.cms * + h2,
.cms * + h3,
.cms * + h4,
.cms * + h5 {
    margin-top:40px !important;
}




/* wpml */
.wpml-ls-legacy-dropdown {
    width: auto;
}

.wpml-ls-legacy-list-horizontal {
    padding:0;
}

.wpml-ls-legacy-list-horizontal ul {
    margin-left:-10px !important;
}

.wpml-ls-legacy-list-horizontal a {
    color: var(--e-global-color-primary);
}




/* menu header */
.menu-header .sub-menu,
.menu-mobile .sub-menu {
    padding-left:20px !important;
    padding-right:20px !important;
}

.menu-mobile .sub-menu {
    padding-top:16px;
}

.menu-header .sub-menu li:not(:last-child):after {
    content:' ';
    display: block;
    width: 100%;
    height: 1px;
    background-color:var(--e-global-color-secondary);
}

.menu-header .sub-menu li a,
.menu-mobile .sub-menu li a {
    border-inline-start: 0 !important;
}

.menu-header .sub-menu li a:hover,
.menu-mobile .sub-menu li a:hover {
    color:var(--e-global-color-primary);
}

.menu-header .elementor-nav-menu > li:hover > a:after,
.menu-header .elementor-nav-menu > li > a.highlighted:after,
.menu-mobile .elementor-nav-menu li:hover > a:after,
.menu-mobile .elementor-nav-menu li > a.highlighted:after {
    content:' ' !important;
    width: 80%;
    height: 4px;
    background-color:var(--e-global-color-accent);
    position: absolute;
    top:100%;
    left:0;
}

.menu-header .sub-arrow,
.menu-mobile .sub-arrow {
    display: none !important;
}


.menu-mobile .elementor-nav-menu li:not(:last-child) {
    margin-bottom:16px;
}



/* header */
@media (min-width:1024px) {
    header > div.elementor-sticky--effects {
        --min-height:80px !important;
    }
    header > div.elementor-sticky--effects > div {
        padding-top:20px !important;
    }
}




/* home */
body.home header > div:not(.elementor-sticky--effects) {
    background-color: transparent !important;
}





/* image hover overlay */
.image-hover-overlay .elementor-widget-image {
    position: relative;
}
.image-hover-overlay .elementor-widget-image:after {
    content:' ';
    width: 100%;
    height: 100%;
    left:0;
    top:0;
    position: absolute;
    background-color:var(--e-global-color-accent);
    opacity: 0;
    z-index: 1;
    transition:opacity 0.2s;
}

.image-hover-overlay:hover .elementor-widget-image:after {
    opacity: 0.3;
}




.justifiedCarousel {
    --carousel-height: 540px; /* height of the justified carousel on desktop, could also be in VH ie 60vh */
    cursor: grab;
}

.justifiedCarousel .swiper-slide > div {
    padding:0;
}


.justifiedCarousel .swiper-wrapper:after {
    content: ' ';
    position: absolute;
    left:0;
    width: 100%;
    height: 100%;
    top:0;
    z-index: 1;
    transform: scaleX(100);
}


@media (max-width: 1024px) {
    .justifiedCarousel {
    --carousel-height: 440px; /* height of the justified carousel on tablet */
}
}
@media (max-width: 767px) {
    .justifiedCarousel {
    --carousel-height: 230px; /* height of the justified carousel on mobile */
}
}

.justifiedCarousel.justifiedCarousel.justifiedCarousel.justifiedCarousel :is(.swiper-slide, .e-con, .elementor-element, .elementor-widget-container) {
    width: auto !important;
}

.justifiedCarousel.justifiedCarousel.justifiedCarousel.justifiedCarousel :is(img, .elementor-video, video,  .elementor-wrapper) {
    height: var(--carousel-height);
    width: auto;
}

.justifiedCarousel.justifiedCarousel.justifiedCarousel.justifiedCarousel :is(.elementor-video, video, .elementor-video-iframe) {
    height: var(--carousel-height);
    width: 100%;
}

@supports not (aspect-ratio:1/1) {
    .justifiedCarousel.justifiedCarousel.justifiedCarousel.justifiedCarousel video{
    position: relative;
}
}

.justifiedCarousel .swiper-pagination {
    top:100%;
}

.elementor-widget-n-carousel .swiper-pagination-progressbar {
    height: 1px;
}

.elementor-widget-n-carousel .swiper-pagination-progressbar .swiper-pagination-progressbar-fill {
    background: var(--e-global-color-accent) !important;
    height: 9px;
    top:-4px;
}





/* form newsletter */
@media (min-width:768px) {
    .form-newsletter .elementor-field-type-submit {
        position: absolute;
        right: 0;
        top: 23px;
        margin: 0;
        padding: 0 !important;
        width: auto;
        margin-bottom:0 !important;
    }

    .form-newsletter .elementor-field-type-submit button {
        min-height: 46.4px !important;
    }
}




/* swiper */
.swiper-pagination-bullets {
    height: 100% !important;
    flex-direction: column;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.swiper-pagination-bullets > span:not(.swiper-pagination-bullet-active) {
    background: var(--e-global-color-e6272ff);
    opacity: 1;
}




/* gutenberg*/
@media (min-width:782px) {
    :root :where(.is-layout-flex) {
        gap: 60px;
    }
}

.no-gap {
    gap:0 !important;
}

@media (max-width:781px) {
    .wp-block-image img {
        height: auto !important;
        aspect-ratio: auto !important;
        object-fit: initial !important;
    }
}